Last Comment Bug 379535 - Throttle setTimeout/Interval callbacks in content if callbacks are called too frequently (in background windows/tabs)
: Throttle setTimeout/Interval callbacks in content if callbacks are called too...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: unspecified
: x86 Linux
: -- normal with 1 vote (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
http://abcnews.go.com/
Depends on: 633421
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-02 16:10 PDT by Manish Singh
Modified: 2011-08-31 01:28 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Manish Singh 2007-05-02 16:10:30 PDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.4) Gecko/20070502 Firefox/2.0.0.3 Flock/0.8.0.99
Build Identifier: 

I noticed this on http://abcnews.go.com/, they have a news ticker that is driven by animation code (http://a.abcnews.com/assets/js/animation.js), where they use a setTimeout of 10 ms to update the animation. Even while sitting in a background tab, the browser consumed 50% of CPU while idle.

To mitigate this, the browser could keep track of where and how often timeouts are scheduled, amd throttle down content that tries to schedule things too often.

Reproducible: Always

Steps to Reproduce:
1.
2.
3.
Comment 1 Boris Zbarsky [:bz] 2011-08-30 20:33:26 PDT
Bug 633421 fixed this.

Note You need to log in before you can comment on or make changes to this bug.